---
title: List
url: https://www.tines.com/docs/api/stories/story-versions/list/
updated: 2025-06-10T13:23:56+00:00
description: Retrieve a list of story versions.
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Stories](https://www.tines.com/llm/docs/api/stories.md) › [Story versions](https://www.tines.com/llm/docs/api/stories/story-versions.md)*

# List

*[View on tines.com](https://www.tines.com/docs/api/stories/story-versions/list/)*

## Description

Retrieve a list of story versions.

## Request

HTTP Method: **GET**

| Path Parameter | Description          |
| -------------- | -------------------- |
| story_id       | The ID of the story. |

| Query Parameter | Description                                                                                                         |
| --------------- | ------------------------------------------------------------------------------------------------------------------- |
| per_page        | **Optional** Set the number of results returned per page.                                                           |
| page            | **Optional** Specify the page of results to return if there are multiple pages. Defaults to page 1.                 |
| draft_id        | **Optional** The ID of the draft. [About drafts](https://www.tines.com/docs/stories/change-control/#api-endpoints). |

```bash
curl -X GET \
 https://<tenant-domain>/api/v1/stories/<<story_id>>/versions \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>'
```

## Response

A successful request will return the JSON Array describing the story versions for a story.

### Field description

| Parameter   | Description                             |
| ----------- | --------------------------------------- |
| id          | story version id.                       |
| name        | story version name.                     |
| description | story version description.              |
| timestamp   | The time the story version was created. |

<!-- cspell:disable -->

### Sample response

```json
{
  "story_versions": [
    {
      "id": 889,
      "name": "Story version 1",
      "description": "",
      "timestamp": "2023-11-13T11:16:05Z"
    }
  ],
  "meta": {
    "current_page": "https://<tenant-domain>/api/v1/stories/<<story_id>>/versions?per_page=20&page=1",
    "previous_page": null,
    "next_page": null,
    "next_page_number": null,
    "per_page": 20,
    "pages": 1,
    "count": 7
  }
}
```

<!-- cspell:enable -->
